com.fasterxml.jackson.databind.ser

## Class SerializerCache.TypeKey

- java.lang.Object
- - com.fasterxml.jackson.databind.util.TypeKey
  - - com.fasterxml.jackson.databind.ser.SerializerCache.TypeKey

Enclosing class:
  SerializerCache

Deprecated.
Since 2.6; replaced by `TypeKey`

    @Deprecated
    public static final class SerializerCache.TypeKey
    extends TypeKey

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.util.TypeKey

`_class, _hashCode, _isTyped, _type`

### Constructor Summary

Constructors
Constructor and Description
`SerializerCache.TypeKey(Class<?> key, boolean typed)` Deprecated.
`SerializerCache.TypeKey(JavaType key, boolean typed)` Deprecated.

### Method Summary

### Methods inherited from class com.fasterxml.jackson.databind.util.TypeKey

`equals, getRawType, getType, hashCode, isTyped, resetTyped, resetTyped, resetUntyped, resetUntyped, toString, typedHash, typedHash, untypedHash, untypedHash`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SerializerCache.TypeKey

    public SerializerCache.TypeKey(Class<?> key,
                           boolean typed)

Deprecated.

#### SerializerCache.TypeKey

    public SerializerCache.TypeKey(JavaType key,
                           boolean typed)

Deprecated.